// Запросить заказы
function orders_read(type = 'all') {
    // Запрос
    $.ajax({
        url: '/orders/' + type,
        type: 'post',
        dataType: 'json',
        data: {
            '_csrf': yii.getCsrfToken()
        },
        success: orders_response_success,
        error: orders_response_error
    });

    // Пересчитывание стоимости
    cart_cost_calculate();

    return false;
}

function orders_response(data, status, xhr) {
    // Обработка ответов

    main_response(data, status, xhr);
};

function orders_response_success(data, status, xhr) {
    // Обработка ответов от удавшихся запросов

    orders_response(data, status, xhr);
};

function orders_response_error(data, status, xhr) {
    // Обработка ответов от неудавшихся запросов

    // Инициализвация
    data = data.responseJSON;

    orders_response(data, status, xhr);
};
